fn main() {
    let s = String::from("Hello world");
    let hello = &s[0..5];
    let world = &s[6..11];

    println!("{}, {}", hello, world);
    println!("{}, {}", &s[0..=4], &s[6..=10]);

    println!("first word is {}", first_world(&s))
}

fn first_world(s: &String) -> &str {
    let bytes = s.as_bytes();
    for (i, &item) in bytes.iter().enumerate() {
        if item == b' ' {
            return &s[..i];
        }
    }

    &s[..]
}
